Apache Tomcat 6.0.53

## org.apache.catalina.ha
Interface ClusterMessage

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  SessionMessage

All Known Implementing Classes:
  ClusterMessageBase, FileMessage, SessionIDMessage, SessionMessageImpl, SingleSignOnMessage, UndeployMessage

    public interface ClusterMessage

extends java.io.Serializable

Author:
  Filip Hanik

Method Summary
`Member` | `getAddress()`
`long` | `getTimestamp()`
`java.lang.String` | `getUniqueId()`
`void` | `setAddress(Member member)`
`void` | `setTimestamp(long timestamp)`
`void` | `setUniqueId(java.lang.String id)`

Method Detail

### getAddress

    Member getAddress()

### setAddress

    void setAddress(Member member)

### getUniqueId

    java.lang.String getUniqueId()

### setUniqueId

    void setUniqueId(java.lang.String id)

### getTimestamp

    long getTimestamp()

### setTimestamp

    void setTimestamp(long timestamp)

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.